function   parseUICommand(parameters){
    if(parameters.action===undefined){
	// do nothing if action is undefined
	return;
    }else{
	debug("DEBUG","Command:"+parameters.action);

	switch(parameters.action){
	case "RediscoverAirboxes":
	    // https://192.168.3.159/json/event/raise?name=wesco_UI&parameter=action=RediscoverAirboxes
	    discoverAirboxes();
	    break;

	case "RefreshPushTargetOptions":
	    // create a list of connected mobile devices
	    try{
		cloudService.fetchNotificationList(createNotificationList);
	    }catch(err){
		// report error,  not cloud activated
	    }
	    break;

	case "ClearAllAirboxErrors":

	    clearAllAirboxErrors();
	    setAirboxesToLastCalledScene();
	    openExhaustFlap();
	    break;

	case "StoredConfigurableParameters":
	    Property.store();
	    debug("DEBUG","Stored complete property tree");
	    break;

	default:
	    break;
	} // end 	switch(parameters.action){
    }
}
